// Dynamically sets the background
(function () {
	$('body').css({
		backgroundImage: 'url("../../assets/imgs/bg.jpg")'
	});
})();


(function () {

	let selectedSearchEngine = "other";

	$('#frmSearch').on("submit", function (e) {
		e.preventDefault();
		let finalUrl;
		if ($("input[name='kw']").val()) {
			switch (selectedSearchEngine) {
				case "google":
					finalUrl = "https://www.google.com/search?q=" + $("input[name='kw']").val();
					break;
				case "bing":
					finalUrl = "https://www.bing.com/search?q=" + $("input[name='kw']").val();
					break;
				default:
					finalUrl = "https://find.digital-marketing-ads.com/results.aspx?gd=SY1003323&searchsource=69&q=" + $("input[name='kw']").val();
					break;
			}
			location.href = finalUrl;
		}
	});

	$('#btnChangeToYahoo').on("click", function () {
		selectedSearchEngine = "yahoo";
		$("#selectedSearchContainer img:first").prop("src", "/assets/imgs/yahoo.png")
	});
	$('#btnChangeToGoogle').on("click", function () {
		selectedSearchEngine = "google";
		$("#selectedSearchContainer img:first").prop("src", "/assets/imgs/google.png")
	});
	$('#btnChangeToBing').on("click", function () {
		selectedSearchEngine = "bing";
		$("#selectedSearchContainer img:first").prop("src", "/assets/imgs/bing.png")
	});

	function startTime() {
		var theDate = new Date();

		var time = theDate.toLocaleString('en-US', {
			hour: 'numeric',
			minute: 'numeric',
			hour12: true
		});

		var meridiem = time.substr(time.length - 2);
		time = time.substring(0, time.length - 3);
		document.getElementById('clock').innerHTML = time + '<span id="meridiem">' + meridiem.toLowerCase() + '</span>';
		var hour = theDate.getHours();

		var greetingEls = document.getElementById('customGreeting');
		if (hour > 6 && hour < 12) {
			// morning
			greetingEls.innerHTML = "Good Morning!"
		} else if (hour >= 12 && hour < 18) {
			// afternoon
			greetingEls.innerText = "Good Afternoon!"
		} else if (hour >= 18 && hour < 22) {
			// evening
			greetingEls.innerText = "Good Evening!"
		}

		var t = setTimeout(startTime, 1000);
	}

	document.body.onload = function () {
		startTime();
	}
})();